Customers

Upsert Customer

Create or update a customer.

POST
/api/v1/customers

Create or update a customer. If id is provided, updates by id. Otherwise, if externalId is provided, finds by externalId and updates or creates if not found. If neither is provided, creates a new customer.

Authorization

AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/customers" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "address": "string",    "city": "string",    "postalCode": "string",    "country": "BE"  }'
{  "success": true,  "customer": {    "id": "string",    "teamId": "string",    "externalId": "string",    "name": "string",    "vatNumber": "string",    "enterpriseNumber": "string",    "peppolAddresses": [      "string"    ],    "address": "string",    "city": "string",    "postalCode": "string",    "country": "string",    "email": "string",    "phone": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}